
console.log("Start");

function fibonacci(n) {
    if (n < 2)
        return 1;
    else
        return fibonacci(n - 2) + fibonacci(n - 1);
}

console.time('timer');        // start the timer

setTimeout(function () {
    console.timeEnd('timer'); // stop the timer and display
}, 1000);

fibonacci(44);                // CPU-intense operation
console.log("End");
